GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
    Instant Orders API
      Get Instant QuoteExecute Instant Order
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Execute Instant Order

TradingInstant OrdersExecute Instant Order

Execute Instant Order

POSThttps://api.gemini.com/v1/instant/execute

Executes a previously issued instant quote. The symbol, side, quantity, price, fee, and quoteId must all match the values returned by Get Instant Quote.

POSTv1/instant/execute
curl --request POST \
  --url https://api.gemini.com/v1/instant/execute \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/instant/execute",
  "nonce": "<nonce>",
  "symbol": "BTCUSD",
  "side": "buy",
  "quantity": "0.01505181",
  "price": "6445.07",
  "fee": "2.9900309233",
  "quoteId": 1328
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have orders:create assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/instant/execute"
nonceTimestampType | integer·required
timestampExample: 1495127793000
symbolstring·required
The symbol for the order.
sidestring·enum·required
"buy" or "sell"Enum values: buysell
quantitystring·required
The quantity of the asset bought or sold. quantity must match quantity returned in the quote
pricestring·required
The price from the quote. price must match price returned in the quote
feestring·required
The fee for the order. fee must match fee returned in the quote
quoteIdinteger·required
Unique ID for the quote. quoteId must match quoteId returned in the quote
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.
Example request body
{
  "request": "/v1/instant/execute",
  "nonce": "<nonce>",
  "symbol": "BTCUSD",
  "side": "buy",
  "quantity": "0.01505181",
  "price": "6445.07",
  "fee": "2.9900309233",
  "quoteId": 1328
}

Responses

JSON response

orderIdinteger
The ID for the executed order
pairstring
The symbol for the order.
pricestring
The price at which the order was executed
priceCurrencystring
The currency in which the order is priced. Matches `CCY2` in the symbol
sidestring
Either "buy" or "sell"
quantitystring
The quantity of the asset bought or sold
quantityCurrencystring
The currency label for the `quantity` field.
totalSpendstring
Total quantity to spend for the order. Will be the sum inclusive of all fees and amount to be traded.
totalSpendCurrencystring
Currency of the `totalSpend` to be spent on the order
feestring
The fee quantity charged for the order
feeCurrencystring
The currency label for the fee.
depositFeestring
The deposit fee quantity. Will be applied if a debit card is used for the order. Will return 0 if there is no `depositFee`
depositFeeCurrencystring
Currency in which `depositFee` is taken
Example Responses
{
  "orderId": 375089415,
  "pair": "BTCUSD",
  "price": "6445.07",
  "priceCurrency": "USD",
  "side": "buy",
  "quantity": "0.01505181",
  "quantityCurrency": "BTC",
  "totalSpend": "100",
  "totalSpendCurrency": "USD",
  "fee": "2.9900309233",
  "feeCurrency": "USD",
  "depositFee": "0",
  "depositFeeCurrency": "USD"
}
PreviousGet Instant Quote